<?php

namespace HaoZiTeam\IPUA;

defined( 'ABSPATH' ) || exit;

use HaoZiTeam\IPUA\Service\Setting;

class Plugin {
	/**
	 * 创建一个插件实例
	 */
	public function __construct() {
		new Setting();
	}

	/**
	 * 插件激活时执行
	 */
	public static function activate() {
	}

	/**
	 * 插件删除时执行
	 */
	public static function uninstall() {
		// 清除设置
		is_multisite() ? delete_site_option( 'wp_ipua_setting' ) : delete_option( 'wp_ipua_setting' );
		is_multisite() ? delete_site_option( 'wp_ipua_about' ) : delete_option( 'wp_ipua_about' );
	}
}
